Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html
Class HTMLDocument.BlockElement

    java.lang.Object
      |
      +--javax.swing.text.AbstractDocument.AbstractElement
            |
            +--javax.swing.text.AbstractDocument.BranchElement
                  |
                  +--javax.swing.text.html.HTMLDocument.BlockElement

All Implemented Interfaces:
  AttributeSet, Element, MutableAttributeSet, Serializable, TreeNode

Enclosing class:
  HTMLDocument

public class HTMLDocument.BlockElement
extends AbstractDocument.BranchElement

An element that represents a structural block of HTML.

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.text.AttributeSet
`AttributeSet.CharacterAttribute, AttributeSet.ColorAttribute, AttributeSet.FontAttribute, AttributeSet.ParagraphAttribute`

Fields inherited from interface javax.swing.text.AttributeSet
`NameAttribute, ResolveAttribute`

Constructor Summary
`HTMLDocument.BlockElement(Element parent, AttributeSet a)` Constructs a composite element that initially contains no children.

Method Summary
`String` | `getName()` Gets the name of the element.
`AttributeSet` | `getResolveParent()` Gets the resolving parent.

Methods inherited from class javax.swing.text.AbstractDocument.BranchElement
`children, getAllowsChildren, getElement, getElementCount, getElementIndex, getEndOffset, getStartOffset, isLeaf, positionToElement, replace, toString`

Methods inherited from class javax.swing.text.AbstractDocument.AbstractElement
`addAttribute, addAttributes, containsAttribute, containsAttributes, copyAttributes, dump, finalize, getAttribute, getAttributeCount, getAttributeNames, getAttributes, getChildAt, getChildCount, getDocument, getIndex, getParent, getParentElement, isDefined, isEqual, removeAttribute, removeAttributes, removeAttributes, setResolveParent`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLDocument.BlockElement

    public HTMLDocument.BlockElement(Element parent,
                                     AttributeSet a)

  Constructs a composite element that initially contains no children.
  Parameters:
    `parent` - the parent element
    `a` - the attributes for the element

Method Detail

### getName

    public String getName()

  Gets the name of the element.
  Overrides:
    `getName` in class `AbstractDocument.BranchElement`
  Returns:
    the name, null if none

### getResolveParent

    public AttributeSet getResolveParent()

  Gets the resolving parent. HTML attributes are not inherited at the model level so we override this to return null.
  Overrides:
    `getResolveParent` in class `AbstractDocument.AbstractElement`
  Returns:
    null, there are none
  See Also:
    `AttributeSet.getResolveParent()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.